#include <python_ngstd.hpp>
#include "comp.hpp"
#include "vector.hpp"
#include "ArgumentMarker.hpp"
#include "coefficient.hpp"
#include "IntCoefficientFunction.hpp"

namespace ngfem 
{
	// from comp/python_comp.cpp, ll.237--238
	size_t global_heapsize = 1000000;
	LocalHeap glh(global_heapsize, "python-comp lh", true);

	void ExportIntCoefficientFunction(py::module m)
	{
		py::class_<
				ngfem::IntCoefficientFunction, 
				std::shared_ptr<ngfem::IntCoefficientFunction>, 
				ngfem::CoefficientFunction
		> (m, "IntCoefficientFunction", "test")
		  	.def(
				py::init<
					std::shared_ptr<ngcomp::MeshAccess>,
					std::shared_ptr<CoefficientFunction>
				>()
			)
			.def(
				"__call__",
				&IntCoefficientFunction::Evaluate
			)
			;
	}
}
